org.eclipse.jetty.servlet

## Class NoJspServlet

- java.lang.Object
- - javax.servlet.GenericServlet
  - - javax.servlet.http.HttpServlet
    - - org.eclipse.jetty.servlet.NoJspServlet

All Implemented Interfaces:
  Serializable, javax.servlet.Servlet, javax.servlet.ServletConfig

    public class NoJspServlet
    extends javax.servlet.http.HttpServlet

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`NoJspServlet()`

### Method Summary

Methods
`protected void` `doGet(javax.servlet.http.HttpServletRequest req, javax.servlet.http.HttpServletResponse response)`

### Methods inherited from class javax.servlet.http.HttpServlet

`doDelete, doHead, doOptions, doPost, doPut, doTrace, getLastModified, service, service`

### Methods inherited from class javax.servlet.GenericServlet

`destroy, getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, getServletName, init, init, log, log`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### NoJspServlet

    public NoJspServlet()

### Method Detail

#### doGet

    protected void doGet(javax.servlet.http.HttpServletRequest req,
             javax.servlet.http.HttpServletResponse response)
                  throws javax.servlet.ServletException,
                         IOException

Overrides:
  `doGet` in class `javax.servlet.http.HttpServlet`
Throws:
  `javax.servlet.ServletException`
  `IOException`